%define Werror_cflags %nil

%define major 1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	Implements the SPICE protocol
Name:		spice-server
Version:	0.12.0
Release:	4
License:	LGPLv2+
Group:		Networking/Remote access
Url:		http://www.spice-space.org/
Source0:	http://www.spice-space.org/download/releases/spice-%{version}.tar.bz2
Source1:	spice-xpi-client-spicec
BuildRequires:	spice-protocol
BuildRequires:	alsa-oss-devel
BuildRequires:	jpeg-devel
BuildRequires:	libsasl2-devel
BuildRequires:	pkgconfig(celt051)
BuildRequires:	pkgconfig(libcacard)
BuildRequires:	pkgconfig(pixman-1)
BuildRequires:	pythonegg(pyparsing)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xrandr)
# https://bugzilla.redhat.com/show_bug.cgi?id=613529
ExclusiveArch:	%{ix86} x86_64


%description
The Simple Protocol for Independent Computing Environments (SPICE) is
a remote display system built for virtual environments which allows
you to view a computing 'desktop' environment not only on the machine
where it is running, but from anywhere on the Internet and from a wide
variety of machine architectures.

#----------------------------------------------------------------------------

%package client
Summary:	Implements the client side of the SPICE protocol
Group:		Networking/Remote access
Requires(post,postun):	update-alternatives

%description client
The Simple Protocol for Independent Computing Environments (SPICE) is
a remote display system built for virtual environments which allows
you to view a computing 'desktop' environment not only on the machine
where it is running, but from anywhere on the Internet and from a wide
variety of machine architectures.

This package contains the SPICE client application.

%files client
%doc COPYING README NEWS
%{_bindir}/spicec
%ghost %{_libexecdir}/spice-xpi-client
%{_libexecdir}/spice-xpi-client-spicec

%post client
update-alternatives --install %{_libexecdir}/spice-xpi-client \
  spice-xpi-client %{_libexecdir}/spice-xpi-client-spicec 10

%postun client
if [ $1 -eq 0 ] ; then
  update-alternatives --remove spice-xpi-client %{_libexecdir}/spice-xpi-client-spicec
fi

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Implements the server side of the SPICE protocol
Group:		System/Libraries

%description -n %{libname}
The Simple Protocol for Independent Computing Environments (SPICE) is
a remote display system built for virtual environments which allows
you to view a computing 'desktop' environment not only on the machine
where it is running, but from anywhere on the Internet and from a wide
variety of machine architectures.

This package contains the run-time libraries for any application that wishes
to be a SPICE server.

%files -n %{libname}
%doc COPYING README NEWS
%{_libdir}/libspice-server.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Header files, libraries and development documentation for spice-server
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains the header files, static libraries and development
documentation for spice-server. If you like to develop programs
using spice-server, you will need to install spice-server-devel.

%files -n %{devname}
%{_includedir}/spice-server
%{_libdir}/libspice-server.so
%{_libdir}/pkgconfig/spice-server.pc

#----------------------------------------------------------------------------

%prep
%setup -q -n spice-%{version}

%build
%configure2_5x \
	--enable-smartcard \
	--disable-werror \
	--disable-static

%make -C spice-common WARN_CFLAGS=''
%make -C client WARN_CFLAGS=''
%make LIBS="-lpthread"

%install
%makeinstall_std -C client
%makeinstall_std

mkdir -p %{buildroot}%{_libexecdir}
touch %{buildroot}%{_libexecdir}/spice-xpi-client
install -m 0755 %{SOURCE1} %{buildroot}%{_libexecdir}/

%changelog
* Wed Jul 09 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.12.0-4
+ Revision: 5a3f5ba
- Don't use autoreconf


